package cn.yw.video.videoalarm.model;

import cn.base.bean.BaseBean;
//[运维监控任务运行详情表]

public class YwvideotaskrunresultBean extends BaseBean implements java.io.Serializable {
	private String id;//[详情id]
	private String runsetid;//[运行批次id]
	private String taskid;//[任务id]
	private String taskname;//[任务名称]
	private int tasktype;//[任务类型]
	private String channelsetid;//[通道集合id]
	private String videonum;//[设备编号]
	private int channelnum;//[通道编号]
	private String channelname;//[通道名称]
	private String picturepath;//[图片路径]
	private byte[] picturebyte;//[图片-设计需要]
	private String runtime;//[执行时间]
	private int runstatus;//[执行状态]
	private int isonline;//[是否在线]
	private int playfail;//[播放失败]
	private int networkerror;//[网络异常]
	private int nosignalvalue;//[无信号检测值]
	private int nosignalstatus;//[无信号检测状态]
	private int imgclearvalue;//[图像清晰检测值]
	private int imgclearstatus;//[图像清晰检测状态]
	private int imgcontrastvalue;//[图像对比检测值]
	private int imgcontraststatus;//[图像对比检测状态]
	private int imgcolorvalue;//[颜色检测值]
	private int imgcolorstatus;//[颜色检测状态]
	private int imglightvalue;//[亮度检测值]
	private int imglightstatus;//[亮度检测状态]
	private int videofreezevallue;//[视频冻结检测值]
	private int videofreezestatus;//[视频冻结检测状态]
	private int videojittervalue;//[镜头抖动检测值]
	private int videojitterstatus;//[镜头抖动检测状态]
	private int videoupheavalvalue;//[视频剧变检测值]
	private int videoupheavalstatus;//[视频剧变检测状态]
	private int videocodeerrorvalue;//[编码异常检测值]
	private int videocodeerrorstatus;//[编码异常检测状态]
	private int videonoisevalue;//[噪声雪花检测值]
	private int videonoisestatus;//[噪声雪花检测状态]
	private int videorollstripevalue;//[滚动条纹检测值]
	private int videorollstripestatus;//[滚动条纹检测状态]
	private int videostatus;//[监控状态]
	private String failurecause;//[故障原因]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setId(String id){
		this.id = id;
	}
	public String getId(){
		return id;
	}
	public void setRunsetid(String runsetid){
		this.runsetid = runsetid;
	}
	public String getRunsetid(){
		return runsetid;
	}
	public void setTaskid(String taskid){
		this.taskid = taskid;
	}
	public String getTaskid(){
		return taskid;
	}
	public void setTaskname(String taskname){
		this.taskname = taskname;
	}
	public String getTaskname(){
		return taskname;
	}
	public void setTasktype(int tasktype){
		this.tasktype = tasktype;
	}
	public int getTasktype(){
		return tasktype;
	}
	public void setChannelsetid(String channelsetid){
		this.channelsetid = channelsetid;
	}
	public String getChannelsetid(){
		return channelsetid;
	}
	public void setVideonum(String videonum){
		this.videonum = videonum;
	}
	public String getVideonum(){
		return videonum;
	}
	public void setChannelnum(int channelnum){
		this.channelnum = channelnum;
	}
	public int getChannelnum(){
		return channelnum;
	}
	public void setChannelname(String channelname){
		this.channelname = channelname;
	}
	public String getChannelname(){
		return channelname;
	}
	public void setPicturepath(String picturepath){
		this.picturepath = picturepath;
	}
	public String getPicturepath(){
		return picturepath;
	}
	public void setPicturebyte(byte[] picturebyte){
		this.picturebyte = picturebyte;
	}
	public byte[] getPicturebyte(){
		return picturebyte;
	}
	public void setRuntime(String runtime){
		this.runtime = runtime;
	}
	public String getRuntime(){
		return runtime;
	}
	public void setRunstatus(int runstatus){
		this.runstatus = runstatus;
	}
	public int getRunstatus(){
		return runstatus;
	}
	public void setIsonline(int isonline){
		this.isonline = isonline;
	}
	public int getIsonline(){
		return isonline;
	}
	public void setPlayfail(int playfail){
		this.playfail = playfail;
	}
	public int getPlayfail(){
		return playfail;
	}
	public void setNetworkerror(int networkerror){
		this.networkerror = networkerror;
	}
	public int getNetworkerror(){
		return networkerror;
	}
	public void setNosignalvalue(int nosignalvalue){
		this.nosignalvalue = nosignalvalue;
	}
	public int getNosignalvalue(){
		return nosignalvalue;
	}
	public void setNosignalstatus(int nosignalstatus){
		this.nosignalstatus = nosignalstatus;
	}
	public int getNosignalstatus(){
		return nosignalstatus;
	}
	public void setImgclearvalue(int imgclearvalue){
		this.imgclearvalue = imgclearvalue;
	}
	public int getImgclearvalue(){
		return imgclearvalue;
	}
	public void setImgclearstatus(int imgclearstatus){
		this.imgclearstatus = imgclearstatus;
	}
	public int getImgclearstatus(){
		return imgclearstatus;
	}
	public void setImgcontrastvalue(int imgcontrastvalue){
		this.imgcontrastvalue = imgcontrastvalue;
	}
	public int getImgcontrastvalue(){
		return imgcontrastvalue;
	}
	public void setImgcontraststatus(int imgcontraststatus){
		this.imgcontraststatus = imgcontraststatus;
	}
	public int getImgcontraststatus(){
		return imgcontraststatus;
	}
	public void setImgcolorvalue(int imgcolorvalue){
		this.imgcolorvalue = imgcolorvalue;
	}
	public int getImgcolorvalue(){
		return imgcolorvalue;
	}
	public void setImgcolorstatus(int imgcolorstatus){
		this.imgcolorstatus = imgcolorstatus;
	}
	public int getImgcolorstatus(){
		return imgcolorstatus;
	}
	public void setImglightvalue(int imglightvalue){
		this.imglightvalue = imglightvalue;
	}
	public int getImglightvalue(){
		return imglightvalue;
	}
	public void setImglightstatus(int imglightstatus){
		this.imglightstatus = imglightstatus;
	}
	public int getImglightstatus(){
		return imglightstatus;
	}
	public void setVideofreezevallue(int videofreezevallue){
		this.videofreezevallue = videofreezevallue;
	}
	public int getVideofreezevallue(){
		return videofreezevallue;
	}
	public void setVideofreezestatus(int videofreezestatus){
		this.videofreezestatus = videofreezestatus;
	}
	public int getVideofreezestatus(){
		return videofreezestatus;
	}
	public void setVideojittervalue(int videojittervalue){
		this.videojittervalue = videojittervalue;
	}
	public int getVideojittervalue(){
		return videojittervalue;
	}
	public void setVideojitterstatus(int videojitterstatus){
		this.videojitterstatus = videojitterstatus;
	}
	public int getVideojitterstatus(){
		return videojitterstatus;
	}
	public void setVideoupheavalvalue(int videoupheavalvalue){
		this.videoupheavalvalue = videoupheavalvalue;
	}
	public int getVideoupheavalvalue(){
		return videoupheavalvalue;
	}
	public void setVideoupheavalstatus(int videoupheavalstatus){
		this.videoupheavalstatus = videoupheavalstatus;
	}
	public int getVideoupheavalstatus(){
		return videoupheavalstatus;
	}
	public void setVideocodeerrorvalue(int videocodeerrorvalue){
		this.videocodeerrorvalue = videocodeerrorvalue;
	}
	public int getVideocodeerrorvalue(){
		return videocodeerrorvalue;
	}
	public void setVideocodeerrorstatus(int videocodeerrorstatus){
		this.videocodeerrorstatus = videocodeerrorstatus;
	}
	public int getVideocodeerrorstatus(){
		return videocodeerrorstatus;
	}
	public void setVideonoisevalue(int videonoisevalue){
		this.videonoisevalue = videonoisevalue;
	}
	public int getVideonoisevalue(){
		return videonoisevalue;
	}
	public void setVideonoisestatus(int videonoisestatus){
		this.videonoisestatus = videonoisestatus;
	}
	public int getVideonoisestatus(){
		return videonoisestatus;
	}
	public void setVideorollstripevalue(int videorollstripevalue){
		this.videorollstripevalue = videorollstripevalue;
	}
	public int getVideorollstripevalue(){
		return videorollstripevalue;
	}
	public void setVideorollstripestatus(int videorollstripestatus){
		this.videorollstripestatus = videorollstripestatus;
	}
	public int getVideorollstripestatus(){
		return videorollstripestatus;
	}
	public void setVideostatus(int videostatus){
		this.videostatus = videostatus;
	}
	public int getVideostatus(){
		return videostatus;
	}
	public void setFailurecause(String failurecause){
		this.failurecause = failurecause;
	}
	public String getFailurecause(){
		return failurecause;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}